package com.iformall.domain.vo;

import javax.persistence.Id;
public class WxMerchantVo {
	private static final long serialVersionUID = 6687964942922444531L;

	@Id
	protected Long id;
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}


	/*发券商户信息*/
	/**商户图片**/
	@io.swagger.annotations.ApiModelProperty(value="商户图片",name="imgUrl")
	private String merchantImgUrl;
	/**商户名**/
	@io.swagger.annotations.ApiModelProperty(value="商户名",name="name")
	private String merchantName;
	/**联系方式**/
	@io.swagger.annotations.ApiModelProperty(value="商户联系方式",name="linkPhone")
	private String merchantLinkPhone;
	/**商户状态**/
	@io.swagger.annotations.ApiModelProperty(value="商户状态1可用0停用",name="status")
	private Integer merchantStatus;
	/**商户业态**/
	@io.swagger.annotations.ApiModelProperty(value="商户业态",name="businessId")
	private Integer businessId;
	/**商户业态**/
	@io.swagger.annotations.ApiModelProperty(value="商户业态",name="parameter")
	private String parameter;

	/**地址**/
	@io.swagger.annotations.ApiModelProperty(value="地址",name="addr")
	private String addr;
	/**百度poi(省市区县street等)**/
	@io.swagger.annotations.ApiModelProperty(value="百度poi(省市区县street等)",name="baiduPoi")
	private String baiduPoi;
	/**商铺编号**/
	@io.swagger.annotations.ApiModelProperty(value="商铺编号",name="shopNumber")
	private String shopNumber;
	/**楼座号**/
	@io.swagger.annotations.ApiModelProperty(value="楼座",name="buildingName")
	private String buildingName;
	/**楼层号**/
	@io.swagger.annotations.ApiModelProperty(value="楼层",name="floorName")
	private String floorName;

	@io.swagger.annotations.ApiModelProperty(value = "是否显示在C端", name = "show")
	private Integer isPublic;

	public Integer getIsPublic() {
		return isPublic;
	}

	public void setIsPublic(Integer isPublic) {
		this.isPublic = isPublic;
	}

	public String  getBuildingName() {return buildingName; }
	public void setBuildingName(String _building) {
		buildingName = _building;
	}
	public String  getFloorName() {
		return floorName;
	}
	public void setFloorName(String _floor) {
		floorName = _floor;
	}
	public String  getShopNumber() {
		return shopNumber;
	}
	public void setShopNumber(String _shopNumber) {
		shopNumber = _shopNumber;
	}
	public String  getBaiduPoi() {
		return baiduPoi;
	}
	public void setBaiduPoi(String _baiduPoi) {
		baiduPoi = _baiduPoi;
	}
	public String  getAddr() {
		return addr;
	}
	public void setAddr(String _addr) {
		addr = _addr;
	}

	public Integer getBusinessId() {
		return businessId;
	}

	public void setBusinessId(Integer businessId) {
		this.businessId = businessId;
	}

	public String  getMerchantImgUrl() {
		return merchantImgUrl;
	}
	public void setMerchantImgUrl(String _imgUrl) {
		merchantImgUrl = _imgUrl;
	}

	public String  getMerchantName() {
		return merchantName;
	}
	public void setMerchantName(String _name) {
		merchantName = _name;
	}
	public String  getMerchantLinkPhone() {
		return merchantLinkPhone;
	}
	public void setMerchantLinkPhone(String _linkPhone) {
		merchantLinkPhone = _linkPhone;
	}
	public Integer getMerchantStatus() {
		return merchantStatus;
	}
	public void setMerchantStatus(Integer status) {
		this.merchantStatus = status;
	}

	public String getParameter() {
		return parameter;
	}

	public void setParameter(String parameter) {
		this.parameter = parameter;
	}


}
